App\Library\Amazon\Classes\Kitchen:
    xml_root_name: Kitchen
    properties:
        battery:
            expose: true
            access_type: public_method
            serialized_name: Battery
            accessor:
                getter: getBattery
                setter: setBattery
            type: App\Library\Amazon\Classes\Battery
        bladeType:
            expose: true
            access_type: public_method
            serialized_name: BladeType
            accessor:
                getter: getBladeType
                setter: setBladeType
            type: string
        batteryCellComposition:
            expose: true
            access_type: public_method
            serialized_name: BatteryCellComposition
            accessor:
                getter: getBatteryCellComposition
                setter: setBatteryCellComposition
            type: string
        batteryFormFactor:
            expose: true
            access_type: public_method
            serialized_name: BatteryFormFactor
            accessor:
                getter: getBatteryFormFactor
                setter: setBatteryFormFactor
            type: string
        bladeMaterial:
            expose: true
            access_type: public_method
            serialized_name: BladeMaterial
            accessor:
                getter: getBladeMaterial
                setter: setBladeMaterial
            type: string
        bladeLength:
            expose: true
            access_type: public_method
            serialized_name: BladeLength
            accessor:
                getter: getBladeLength
                setter: setBladeLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        canShipInOriginalContainer:
            expose: true
            access_type: public_method
            serialized_name: CanShipInOriginalContainer
            accessor:
                getter: getCanShipInOriginalContainer
                setter: setCanShipInOriginalContainer
            type: boolean
        colorMap:
            expose: true
            access_type: public_method
            serialized_name: ColorMap
            accessor:
                getter: getColorMap
                setter: setColorMap
            type: string
        finish:
            expose: true
            access_type: public_method
            serialized_name: Finish
            accessor:
                getter: getFinish
                setter: setFinish
            type: string
        identityPackageType:
            expose: true
            access_type: public_method
            serialized_name: IdentityPackageType
            accessor:
                getter: getIdentityPackageType
                setter: setIdentityPackageType
            type: string
        isStainResistant:
            expose: true
            access_type: public_method
            serialized_name: IsStainResistant
            accessor:
                getter: getIsStainResistant
                setter: setIsStainResistant
            type: boolean
        material:
            expose: true
            access_type: public_method
            serialized_name: Material
            accessor:
                getter: getMaterial
                setter: setMaterial
            type: string
        maximumCoverageArea:
            expose: true
            access_type: public_method
            serialized_name: MaximumCoverageArea
            accessor:
                getter: getMaximumCoverageArea
                setter: setMaximumCoverageArea
            type: App\Library\Amazon\Classes\AreaDimensionOptionalUnitType
        numberOfSets:
            expose: true
            access_type: public_method
            serialized_name: NumberOfSets
            accessor:
                getter: getNumberOfSets
                setter: setNumberOfSets
            type: integer
        occasionType:
            expose: true
            access_type: public_method
            serialized_name: OccasionType
            accessor:
                getter: getOccasionType
                setter: setOccasionType
            type: string
        outputCapacity:
            expose: true
            access_type: public_method
            serialized_name: OutputCapacity
            accessor:
                getter: getOutputCapacity
                setter: setOutputCapacity
            type: App\Library\Amazon\Classes\VolumeRateDimensionType
        pieceCount:
            expose: true
            access_type: public_method
            serialized_name: PieceCount
            accessor:
                getter: getPieceCount
                setter: setPieceCount
            type: integer
        shape:
            expose: true
            access_type: public_method
            serialized_name: Shape
            accessor:
                getter: getShape
                setter: setShape
            type: string
        threadCount:
            expose: true
            access_type: public_method
            serialized_name: ThreadCount
            accessor:
                getter: getThreadCount
                setter: setThreadCount
            type: integer
        towelWeight:
            expose: true
            access_type: public_method
            serialized_name: TowelWeight
            accessor:
                getter: getTowelWeight
                setter: setTowelWeight
            type: App\Library\Amazon\Classes\WeightDimensionType
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\Kitchen\VariationDataAType
        wattage:
            expose: true
            access_type: public_method
            serialized_name: Wattage
            accessor:
                getter: getWattage
                setter: setWattage
            type: App\Library\Amazon\Classes\WattageDimensionOptionalUnitType
        compatibleDevices:
            expose: true
            access_type: public_method
            serialized_name: CompatibleDevices
            accessor:
                getter: getCompatibleDevices
                setter: setCompatibleDevices
            type: string
        maximumWeightCapacity:
            expose: true
            access_type: public_method
            serialized_name: MaximumWeightCapacity
            accessor:
                getter: getMaximumWeightCapacity
                setter: setMaximumWeightCapacity
            type: App\Library\Amazon\Classes\WeightDimensionType
        noiseLevel:
            expose: true
            access_type: public_method
            serialized_name: NoiseLevel
            accessor:
                getter: getNoiseLevel
                setter: setNoiseLevel
            type: App\Library\Amazon\Classes\NoiseLevelDimensionType
        kitchenOutputCapacity:
            expose: true
            access_type: public_method
            serialized_name: KitchenOutputCapacity
            accessor:
                getter: getKitchenOutputCapacity
                setter: setKitchenOutputCapacity
            type: App\Library\Amazon\Classes\VolumeAndVolumeRateDimensionType
        runtime:
            expose: true
            access_type: public_method
            serialized_name: Runtime
            accessor:
                getter: getRuntime
                setter: setRuntime
            type: integer
        specificUsesForProduct:
            expose: true
            access_type: public_method
            serialized_name: SpecificUsesForProduct
            accessor:
                getter: getSpecificUsesForProduct
                setter: setSpecificUsesForProduct
            type: string
        annualEnergyConsumption:
            expose: true
            access_type: public_method
            serialized_name: AnnualEnergyConsumption
            accessor:
                getter: getAnnualEnergyConsumption
                setter: setAnnualEnergyConsumption
            type: App\Library\Amazon\Classes\EnergyConsumptionDimensionType
        euEnergyLabelEfficiencyClass:
            expose: true
            access_type: public_method
            serialized_name: EuEnergyLabelEfficiencyClass
            accessor:
                getter: getEuEnergyLabelEfficiencyClass
                setter: setEuEnergyLabelEfficiencyClass
            type: string
        hasAutomaticShutoff:
            expose: true
            access_type: public_method
            serialized_name: HasAutomaticShutoff
            accessor:
                getter: getHasAutomaticShutoff
                setter: setHasAutomaticShutoff
            type: boolean
        numberOfSpeeds:
            expose: true
            access_type: public_method
            serialized_name: NumberOfSpeeds
            accessor:
                getter: getNumberOfSpeeds
                setter: setNumberOfSpeeds
            type: integer
        kitchenOperatingPressure:
            expose: true
            access_type: public_method
            serialized_name: KitchenOperatingPressure
            accessor:
                getter: getKitchenOperatingPressure
                setter: setKitchenOperatingPressure
            type: App\Library\Amazon\Classes\PressureDimensionType
        powerSourceType:
            expose: true
            access_type: public_method
            serialized_name: PowerSourceType
            accessor:
                getter: getPowerSourceType
                setter: setPowerSourceType
            type: string
        vacuumCleanerCarpetCleaningClass:
            expose: true
            access_type: public_method
            serialized_name: VacuumCleanerCarpetCleaningClass
            accessor:
                getter: getVacuumCleanerCarpetCleaningClass
                setter: setVacuumCleanerCarpetCleaningClass
            type: string
        vacuumCleanerDustReemissionClass:
            expose: true
            access_type: public_method
            serialized_name: VacuumCleanerDustReemissionClass
            accessor:
                getter: getVacuumCleanerDustReemissionClass
                setter: setVacuumCleanerDustReemissionClass
            type: string
        vacuumCleanerHardfloorCleaningClass:
            expose: true
            access_type: public_method
            serialized_name: VacuumCleanerHardfloorCleaningClass
            accessor:
                getter: getVacuumCleanerHardfloorCleaningClass
                setter: setVacuumCleanerHardfloorCleaningClass
            type: string
        itemDiameter:
            expose: true
            access_type: public_method
            serialized_name: ItemDiameter
            accessor:
                getter: getItemDiameter
                setter: setItemDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        efficiency:
            expose: true
            access_type: public_method
            serialized_name: Efficiency
            accessor:
                getter: getEfficiency
                setter: setEfficiency
            type: string
